/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/general_styling.scss';
@import 'css/_variables.scss';

.footerButtons {
  &__container {
    padding-inline: 3rem;
    display: flex;
    justify-content: space-between;

    @include breakpoint(sm) {
      flex-direction: column;
    }
    align-items: center;
    background: $light-gray-2;
    border-top: 1px solid #e5e6ed;
    @include breakpoint(sm) {
      padding: 0.5em 1em;
    }

    &__right {
      display: flex;
      column-gap: 3.3rem;

      &__nextButtonContainer {
        display: flex;
        column-gap: 2rem;
        align-items: center;
        &__error {
          color: $error-color;
        }
      }
    }
  }
}
